# $Revision: 1.40 $, $Date: 2010/04/02 10:30:54 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library of graphics routines used by libgnomecanvas
Summary(pl.UTF-8):	Biblioteka funkcji graficznych używanych przez libgnomecanvas
Name:		libart_lgpl
Version:	2.3.21
Release:	1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/2.3/%{name}-%{version}.tar.bz2
# Source0-md5:	08559ff3c67fd95d57b0c5e91a6b4302
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.9
BuildRequires:	libtool
Obsoletes:	libart_lgpl2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Graphics routines used by the GnomeCanvas widget and some other
applications. libart renders vector paths and the like.

%description -l pl.UTF-8
Funkcje graficzne używane przez widget GnomeCanvas i trochę innych
aplikacji. libart renderuje ścieżki wektorów i tym podobne.

%package devel
Summary:	Headers for libart_lgpl
Summary(pl.UTF-8):	Pliki nagłowkowe libart_lgpl
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libart_lgpl2-devel
Conflicts:	gnome-libs-devel < 1.4.1.2

%description devel
Header files for libart_lgpl.

%description devel -l pl.UTF-8
Pliki nagłówkowe do biblioteki libart_lgpl.

%package static
Summary:	Static libart_lgpl library
Summary(pl.UTF-8):	Statyczna biblioteka libart_lgpl
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Conflicts:	gnome-libs-static < 1.4.1.2

%description static
Static version of libart_lgpl library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki libart_lgpl.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libart_lgpl_2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libart_lgpl_2.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libart2-config
%attr(755,root,root) %{_libdir}/libart_lgpl_2.so
%{_libdir}/libart_lgpl_2.la
%{_includedir}/libart-2.0
%{_pkgconfigdir}/libart-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libart_lgpl_2.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libart_lgpl.spec,v $
Revision 1.40  2010/04/02 10:30:54  megabajt
- updated to 2.3.21

Revision 1.39  2008/02/04 18:10:49  qboosh
- removed X11 from Group (X not used)

Revision 1.38  2008-02-02 17:01:51  megabajt
- updated to 2.3.20
- removed -c_bindings.patch (applied upstream)
- more verbose files

Revision 1.37  2007-03-31 12:20:07  sls
- added c_bindings.patch
- rel. 2

Revision 1.36  2007/03/01 18:58:34  megabajt
- updated to 2.3.19

Revision 1.35  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.33  2006/11/25 13:21:27  arekm
- rel 3

Revision 1.32  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.31  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.30  2005/06/14 19:49:46  witekfl
- added bcond_without static

Revision 1.29  2005/05/03 22:24:06  pluto
- release 2 for Th.

Revision 1.28  2005/01/23 00:36:55  qboosh
- updated to 2.3.17, cosmetics

Revision 1.27  2004/03/12 11:51:58  pluto
- strict deps.

Revision 1.26  2003/11/14 12:45:14  wiget
- rebuild to fix paths in *.la file
- relase 2

Revision 1.25  2003/09/10 04:34:26  aflinta
- version 2.3.16

Revision 1.24  2003/09/02 13:55:56  grzegol
- updated to 2.3.15

Revision 1.23  2003/08/08 11:33:18  grzegol
- updated to 2.3.14

Revision 1.22  2003/07/11 20:39:46  aflinta
- and back to normal Source0

Revision 1.21  2003/07/11 20:39:10  aflinta
- fetch Source0 via dropin

Revision 1.20  2003/07/11 20:27:46  grzegol
- fixed (?) Source0 URL

Revision 1.19  2003/07/11 19:58:49  grzegol
- updated to 2.3.13

Revision 1.18  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.17  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/05/05 14:15:28  aflinta
- version 2.3.12

Revision 1.15  2002/12/04 15:54:12  aflinta
- moved from /usr/X11R6 to /usr, release 2

Revision 1.14  2002/11/25 19:58:40  aflinta
- updated to version 2.3.11

Revision 1.13  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.12  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/09/16 13:44:14  wrobell
- source uri fixed

Revision 1.10  2002/07/07 18:40:56  qboosh
- updated to 2.3.10 (bug fixes)
- new %%doc, removed linking fix (already in sources)

Revision 1.9  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/24 20:44:35  qboosh
- library uses math functions so it should be linked with -lm
- release 2

Revision 1.6  2002/04/23 15:24:17  kloczek
- added regenerate ac/am/lt files.

Revision 1.5  2002/04/13 14:13:34  michuz
- fixed pkgconfigdir

Revision 1.4  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/05 15:40:38  qboosh
- separated -static, gzip doc, added pl translations

Revision 1.2  2002/02/01 19:05:14  kloczek
- partialy rewrited,
- switch to bzipped2 tar ball.

Based on spec from RedHad.
